# Journey to QoLhalla

# Description
Enjoy the unofficial DLC, Journey to Valhalla, with all the QoL and none of the fluff. Most notably excluded are foods and build pieces that you find in JTQ. This pack also uses OdinPlusQoL instead of Valheim+

# Discord
https://discord.gg/9mbQpb8FHK

# Features
 - Subtle and aesthetic changes to the UI
 - Extra equipment hotkeys, inventory space, and carry weight
 - Improved ranged and melee combat(throw, dual-wield, strong attacks, slope-fix)
 - Reworked fishing
 - Exciting new mobs that are balanced and themed appropriately
 - Additional skills that provide gradual bonuses as you level them
 - EpicLoot drops mats-only from enemies and runestones from bosses and bounties
 - Your grave items can only be accessed by you, and they auto-equip
 - Automatic pinning of dungeons, ores, boats, etc
 - Create a group and invite others to join you
 - Ressurect your dead allies by pressing E on their corpse with a surtling core
 - Raise an army of wolves and guide them in battle
 - Custom Haldor and bounties
 - Visual art upgrades
 - Player trading
 - And a lot more QoL changes

# Book of QoL
Welcome to the quality of life journey to Valhalla!

This is a vast and unforgiving realm, so why 
not expand your skills and carry a trick or two up your sleeve?

- Hold R to use equip-wheel
- Alt + R to use emote-wheel
- Press T to throw weapon
- Press G to throw shield
- Alt + E to toggle wolfpack follow/stay
- Shift + E to pick multiple crops
- Press E to cancel bow stance
- Press B to enter build-mode
- Shift + click to split item stack in half
- Press ` to deposit-all into nearby chest
- Alt + click to exclude item from deposit
- Press DELETE to recycle the selected item
- Press HOME to show/hide time of day

/invite [name] - sends group invite

/leave - leaves your current group

/kick [name] - kicks player from group

/promote [name] - promotes player to leader"

*If you are playing on a server you will start the game with Book of QoL. In single-player its contents are viewable in the crafting menu.

# Installation
**If you are updating this modpack, pay close attention to the dependencies that were removed/replaced because TS Mod Manager does not auto-remove them.
**For an easier time updating, start a new TS Profile and install like brand new. Your worlds and characters are not profile dependent.

Mod Manager (Preferred)
 1. Install JTQ and all dependencies.
 2. Start the game. This will copy all config files to the correct place.
 3. Exit the game and re-start to reload the config changes.
 4. If this is your first time trying JTQoL, start a new character and a new world. *Do not join worlds that are not JTQ*

Manual
 1. Download and move the modpack and all dependencies to your Bepinex Plugins folder.
 2. Start the game. This will copy all config files to the correct place. Exit the game.
 3. Unzip the modpack and move the config and plugins folder to your Bepinex folder.
 4. When asked, overwrite the existing files.
 5. If this is your first time trying JTQ, start a new character and a new world. *Do not join worlds that are not JTQ*

***If you ae playing single-player, you can disable the following mods AFTER running the mod-pack for the first time:

- ServerCharacters
- Groups
- Player Trading
- MultiUserChest
- ValheimAntiCheat
- Chatter
- EmoteWheel
- JTQ Core (It's normal for this to disable, but see the ***note above)

# Change log
v2.3.21
 - Scaled down the damage and health of final boss
 - Updated dependencies(EVA, Minimal UI, etc)

v2.3.20
 - Added JereKuusela-Server_Sync_Fix-1.0.0
 - Updated dependencies(mostly serversync updates)
 
v2.3.19
 - Updated dependencies(Farming and Groups)
 
v2.3.18
 - Added cjayride-Discard_or_Recycle_Inventory_Items_No_Coins_cjaycraft_fix-1.3.4
	- Fixes a bug that allowed item duplication
	- Recycle now costs 50% of the resources
	- Disenchant is disabled because it is now redundant
 - Final boss has a new surprise ;)
 - New Draugr boat added to loot-tables
 - Stones can no longer be equipped due to incompatibility with Dual-wield and Quickstack
 - Updated dependencies(Jotunn, MonsterlabZ, EpicLoot, etc...)
 
v2.2.18
 - Fixed bug that corrupted some EpicLoot items with specifc enchantments
	- Sorry! Please update your version and then restore character backups if you did
 - Turned off mini smokeless fire
 
v2.2.17
 - Added Fragnarok-ImmersiveCompass-1.1.1
	- Death pins now removed after recovery!
	- Turned compass feature off for now
 - Ice Golems no longer have a scary boss health-bar and they drop Frometal Ore
 - Silver Golems now drop Frometal Ore along with Silver
 - Poison spider poison cloud animation changed to poison spray due to framedrops
 - Spider raids will no longer spam you with poison spiders
 - Kraken now drops Chitin and Ymir's Flesh
 - Turned off ArmorStand due to bug that removes enchantments
 - Turned off automatic food storage to squash disappearing inventory bug
 - Updated dependencies
 
v2.1.17
 - Downgraded Smoothbrain-DualWield to 1.0.2 so that it is compatible with Epic Loot
 - Reduced droprate of Voidlings considering how many spawn
 - Void Monoliths now guaranteed to drop a void orb
 - Lowered GoblinLox and Voidling loottables slightly
 - Balanced early-game spiders
 - Updated dependencies(Mostly smoothbrain mods)
 
v2.1.16
 - Food timers no longer increase while in warded areas
 - New lox-rider and mounted-lox mobs added to loot-tables
 - Server quick-connect is back thanks to OdinQOL!
 - Updated dependencies(OdinsQOL, MonsterLabz, etc)
 
v2.1.15
 - Fixed compatibility with Crossplay patch
 - Added Azumatt-BetterWards-1.8.0
 - Added Marlthon-Cats-0.0.2
	- Cats will spawn around your cat-lure and can be tamed and drop linen thread on death 
 - New spider mobs, Succubus and Molluscan have been added to loottables
 - Heavymetal Ore guaranteed drop from Svartalfar
 - Updated major dependencies(MonsterLabz, Odinplus, etc)
 
v2.0.15
 - Removed future mod that was accidentally added(it's not ready yet)
 
v2.0.14
 - Updated dependencies(Jotunn, MonsterlabZ, Spawn_That, etc)
 
v2.0.13
 - Fixed Poison Spiders dealing no melee damage
 - Included new Green Butterfly in loot-tables
 - Increased drop rate and rarity of all butterfly drops
 - Updated dependencies(Jotunn, MonsterLabZ, OdinPlusQoL, etc)
 
v2.0.12
 - Added Smoothbrain-SmoothSave-1.0.0
 - Reduced cost of Saddle
	- Saddle no longer requires HorseHide
 - Reduced pack size of Yeti to 1
	- Yeti can now be 1 or 2-star
 - Increased RedJute droprate from Wendigo
	- Slightly reduced spawn chance
 - Increased frequency of character autosave
 - Updated dependencies(Outsiders)
 
v2.0.11
 - Updated dependencies(Maxaxe, ServerCharacters, etc)

v2.0.10
 - Disabled XP update notifications due to buggery
 - Disabled durability color for OdinPlusQoL compatibility
 - Updated dependencies
 
v2.0.9
 - Moved Quick-Connect(Bi-Frost) to a friendlier screen position
 - Updated major dependencies(Jotunn, MaxAxe)
 
v2.0.8
 - Updated major dependencies(Jotunn, EVA and OdinQoL)
 
v2.0.7
 - Formatted the Readme correctly
 - Updated major dependencies(Jotunn and OdinQoL)
 
v2.0.6
 - Adjusted hotkeys for emote and equip wheels to their final form
 - Configured default Quick Connect option for official server
 - Updated Book of QoL
 - Updated dependencies
 
v2.0.5
 - Fixed UI placement to work with all screen-sizes
 - Corrected equipwheel and emotewheel hotkeys

v2.0.4
 - Updated dependencies
 
v2.0.3
 - Added castix-FloatingItems-1.0.0
 - Removed StationsAreContainers
 - Removed FloorsAreRoofs
 - Fixed the recycle hotkey
 - Enabled plant-growth progress on hover
 - Server characters now spawn with Book of QoL
 - Skip tutorials enabled
 
v2.0.2
 - Map pins config corrected
 - Auto-feed config corrected

v2.0.1
 - Replaced ValheimPlus with OdinPlus-OdinsQOL-0.7.1
 - Replaced MoreSlots with OdinPlus-OdinsQOL-0.7.1
 - Replaced CustomContainerSizes with OdinPlus-OdinsQOL-0.7.1
 - Replaced EquipmentAndQuickSlots with OdinPlus-OdinsQOL-0.7.1
 - Replaced Autofeed with eideehi-Automatics-1.3.0
 - Replaced QolPins with eideehi-Automatics-1.3.0
 - Replaced cjayride-InstantMonsterLootDrop with aedenthorn_mods-InstantMonsterLootDrop-0.4.0
 - Replaced bonesbro_repost-FloorsAreRoofs with NotActuallyMine-FloorsAreRoofs-1.0.1
 - Added Azumatt-Minimal_UI-2.0.1
 - Added OdinPlus-Fisticuffs-1.1.8
 - Added UnJohnny-Outsiders-1.1.0
 - Added WackyMole-WackysDatabase-1.2.5
 - Added MSchmoecker-FenceSnap-0.1.1
 - Removed GraphicsConfigPlus
 - Removed Build_Camera
 - Removed ValheimAdditions(not the Epic one)
 - Removed UsefulPaths
 - Removed AlweStats(clock can now be toggled with HOME)
 - Removed Smoothbrain's Building
 - Removed Smoothbrain's Sailing
 - Overhauled the UI look and layout
 - Fixed hotkey conflicts
 - Modest performance gains and better load times
 - Disabled the Quiver due to incompatibility
 - Updated dependencies

v1.0.1
 - Added back Smoothbrain-Groups-1.1.8(bug squashed)
 - Removed OdinsUndercroft
 - Deprecated Horem's wildlife entries in the loottables
 - Updated dependencies

v1.0.0
 - Replaced KGchat with ComfyMods-Chatter-1.0.0
 - Removed Smoothbrain-Groups due to errors with Chatter
 - Replaced ItemDrawers_Remake with ItemDrawers
 - Adjusted hotkey layouts
 - Load times and fps significantly improved